Reactivate autodialer subscription
If your autodialer subscription was not prolonged, you can instantly reactivate it through this endpoint.
If subscription billing has failed due to low balance, by default we will try to charge you again the next day. But you can manually activate your subscription and trigger charging through this endpoint. The access to your autodialer will be renewed and all the configurations will be saved.
If your balance is still not enough, you will receive a 402 Payment Required error.
The id parameter used in this request refers to the unique Autodialer subscription plan identifier. This ID is NOT arbitrary and must be obtained from the Autodialer API.
You can retrieve available subscription IDs via GET /api/v1/autodialer/subscriptions.
Each item in the response contains a unique id field, which should be used as the path parameter for this endpoint.
Path Parameters
Autodialer subscription unique id
1 <= valueHeader Parameters
Your API token
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://dev-refactor-api-e.voipenv.uk/api/v1/autodialer/subscriptions/1/reactivate" \ -H "Authorization: string"{
"code": 0,
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}